Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

Ubuntu 12.10 ships Weston and Wayland. What are the basic steps I need to take to make them usable? Trying to start Weston gives this and then drops back to the command prompt:

$ weston
Date: 2012-12-06 CET
[10:53:58.368] weston 0.95.0
               http://wayland.freedesktop.org/
               Bug reports to: https://bugs.freedesktop.org/enter_bug.cgi?product=weston
               Build:  
[10:53:58.368] OS: Linux, 3.5.0-19-generic, #30-Ubuntu SMP Tue Nov 13 17:49:53 UTC 2012, i686
couldn't open /home/ingo/.config/weston.ini
[10:53:58.368] Loading module '/usr/lib/weston/x11-backend.so'
[10:53:58.370] initializing x11 backend
couldn't open /home/ingo/.config/weston.ini
libEGL warning: unsupported platform Windows
libEGL warning: DRI2: failed to authenticate
libEGL warning: DRI2: failed to open swrast (search paths /usr/lib/fglrx/dri)
libEGL warning: unsupported platform Windows
libGL error: failed to load driver: swrast
libGL error: Try again with LIBGL_DEBUG=verbose for more details.
[10:53:58.389] failed to choose config: 0
[10:53:58.389] failed to create compositor
$ 

PS: I know that they aren't ready for prime-time yet, anything basic like opening a terminal or hello-world type thing in Weston would be enough.

share|improve this question

3 Answers 3

There is a bug in mesa-9.0. Try using mesa-9.0.1 (you may have to build from git)

share|improve this answer
5  
While this may be essentially correct, we generally like to see a bit more detail. Why is mesa important to Weston? Do you have a link to the bug report? Do you have some links from here or elsewhere that will give users a clue how to install a mesa version that is not in the repositories? Perhaps there's a PPA that can be used? –  fabricator4 Dec 21 '12 at 23:57
up vote 1 down vote accepted

The problem solved itself in 13.04, weston starts now out of the box, no setup required. It will open up as a separate window in Xorg and provide a Terminal along with a basic window manager functionality.

share|improve this answer

I'm guessing you don't have mesa, please not that prior to executing the following shell script do mention if you have the below mentioned dependencies

  1. drm
  2. proto
  3. macros
  4. libxcb
  5. presentproto
  6. dri3proto
  7. libxshmfence
  8. pixman
  9. cairo

I'm taking a wild guess you don't have mesa because your log mentions about DRI. Try doing the following:

export WLD=$HOME/install
export LD_LIBRARY_PATH=$WLD/lib
export PKG_CONFIG_PATH=$WLD/lib/pkgconfig/:$WLD/share/pkgconfig/
export PATH=$WLD/bin:$PATH

export ACLOCAL_PATH=$WLD/share/aclocal
export ACLOCAL="aclocal -I $ACLOCAL_PATH"
mkdir -p $ACLOCAL_PATH

git clone git://anongit.freedesktop.org/mesa/mesa
cd mesa
./autogen.sh --prefix=$WLD --enable-gles2 --disable-gallium-egl \
 --with-egl-platforms=x11,wayland,drm --enable-gbm --enable-shared-glapi \
 --with-gallium-drivers=r300,r600,swrast,nouveau \
 --disable-llvm-shared-libs # this may be a bug in the llvm package
make && make install
cd ..
share|improve this answer

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.